Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPSSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          org.apache.commons.net.ftp.FTPSSocketFactory

    public class FTPSSocketFactory

extends SocketFactory

Implementation of org.apache.commons.net.SocketFactory

Since:
  2.0

Constructor Summary
`FTPSSocketFactory(SSLContext context)`

Method Summary
`ServerSocket` | `createServerSocket(int port)` Deprecated. (2.2) use `instead`
`ServerSocket` | `createServerSocket(int port, int backlog)` Deprecated. (2.2) use `instead`
`ServerSocket` | `createServerSocket(int port, int backlog, InetAddress ifAddress)` Deprecated. (2.2) use `instead`
`Socket` | `createSocket()`
`Socket` | `createSocket(InetAddress address, int port)`
`Socket` | `createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
`Socket` | `createSocket(String address, int port)`
`Socket` | `createSocket(String address, int port, InetAddress localAddress, int localPort)`
`ServerSocket` | `init(ServerSocket socket)` Deprecated. (2.2) use `FTPSServerSocketFactory.init(java.net.ServerSocket)`

Methods inherited from class javax.net.SocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPSSocketFactory

    public FTPSSocketFactory(SSLContext context)

Method Detail

### createSocket

    public Socket createSocket()
                        throws IOException

  Overrides:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String address,
                               int port)
                        throws UnknownHostException,
                               IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `UnknownHostException`
    `IOException`

### createSocket

    public Socket createSocket(InetAddress address,
                               int port)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String address,
                               int port,
                               InetAddress localAddress,
                               int localPort)
                        throws UnknownHostException,
                               IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `UnknownHostException`
    `IOException`

### createSocket

    public Socket createSocket(InetAddress address,
                               int port,
                               InetAddress localAddress,
                               int localPort)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createServerSocket

    @Deprecated
    public ServerSocket createServerSocket(int port)
                                    throws IOException

  Deprecated. (2.2) use `instead`

  Throws:
    `IOException`

### createServerSocket

    @Deprecated
    public ServerSocket createServerSocket(int port,
                                                      int backlog)
                                    throws IOException

  Deprecated. (2.2) use `instead`

  Throws:
    `IOException`

### createServerSocket

    @Deprecated
    public ServerSocket createServerSocket(int port,
                                                      int backlog,
                                                      InetAddress ifAddress)
                                    throws IOException

  Deprecated. (2.2) use `instead`

  Throws:
    `IOException`

### init

    @Deprecated
    public ServerSocket init(ServerSocket socket)
                      throws IOException

  Deprecated. (2.2) use `FTPSServerSocketFactory.init(java.net.ServerSocket)`

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.